#1089 Icon in taskbar flashes for no reason

next release
closed
nobody
core (92)
5
2015-12-06
2012-08-03
Anonymous
No

On Windows 7, the Jabref icon on the taskbar flashes and turns yellow for no reason. For other programs, this flashing means that the program is requesting input, for example in a popup box, but Jabref is not doing that. I thought it might be the case that Jabref was flashing because the bibtex file was somehow being changed extermally, but this isn't the case either.

This is with Jabref 2.8.1

Related

Bugs: #1089

Discussion

  • Morten Omholt Alver

    There are some method calls that trigger the flashing, but I wouldn't expect any of these to be used unless there was interface activity. Is this happening when JabRef is out of focus, and there is no activity in the JabRef window? Are there dialogs other than the main JabRef window open?

     
  • scotto

    scotto - 2012-12-05

    Yes, the JabRef icon in the taskbar flashes yellow when the JabRef window it is out of focus. There's no event that I can discover that would prompt it. No files it references are being touched, etc...

    I've just downloaded version 2.9b2 and the problem is still there

     
  • Oliver Kopp

    Oliver Kopp - 2012-12-09

    Is the icon always flashing or does it flash after a certain action? Here on Win 8 (and formerly Win 7), I never encountered such a flashing issue.

     
  • scotto

    scotto - 2012-12-10

    It doesn't start flashing immediately but does so after some random time, say 5-10 minutes. There's no action that I can find that causes it. The cursor isn't on the JabRef window, etc. This is on win 7.

    Is there some kind of debug switch I could use to figure out what could be causing it?

     
  • Tobias

    Tobias - 2015-12-05

    Does this issue still persits with the latest JabRef 3.0?

     
  • Tobias

    Tobias - 2015-12-05
    • status: open --> pending
    • Group: --> next release
     
    • scotto

      scotto - 2015-12-06

      Yes, this problem is now gone.

      Scott

      On Sat, Dec 5, 2015 at 6:41 PM, Tobias tobiasdiez@users.sf.net wrote:

      • status: open --> pending
      • Group: --> next release

      Status: pending
      Group: next release
      Labels: core
      Created: Fri Aug 03, 2012 10:35 AM UTC by Anonymous
      Last Updated: Sat Dec 05, 2015 05:41 PM UTC
      Owner: nobody

      On Windows 7, the Jabref icon on the taskbar flashes and turns yellow for
      no reason. For other programs, this flashing means that the program is
      requesting input, for example in a popup box, but Jabref is not doing that.
      I thought it might be the case that Jabref was flashing because the bibtex
      file was somehow being changed extermally, but this isn't the case either.

      This is with Jabref 2.8.1

      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/jabref/bugs/1089/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #1089

  • Tobias

    Tobias - 2015-12-06

    Thanks for your feedback (and for reporting the error in the first place)!

     
  • Tobias

    Tobias - 2015-12-06
    • status: pending --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks